Subject: Re: bug#33262: guix fails to find and use some available substitutes

From: George Clemmer <[email-masked]>
Date: Mon, 05 Nov 2018 12:21:53 -0500

Julien Lepiller <[email-masked]> writes:

> I think guix' message is a bit confusing: the .drv file is always
> created by guix, it's the derivation. The derivation is built, which
> results in a new store path. It can be built locally or by using a
> substitute. What you see in your store is the derivation (.drv), not
> its result. You can open that file to find where the result will be
> stored and check if it exists on your machine.

Hi Julien,

Thank you. You are right, the .drv "out" substitute is not on my
local server. So this is not a bug. SORRY for the noise ;-)

After re-reading (guix) Derivations, I see I had a wrong impression:
that the presence of a .drv indicates a successful build. But AIUI now
it only means that at some point in the past we attempted to build the
.drv. IOW, we will also have .drv files for all failed builds.

Is that correct?

Thanks! - George